<div ng-controller="ClienteController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Mantenimiento</a>
          </li>
          <li>
            <a>Cliente</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE CLIENTES</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Cliente">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  <button ng-if="permisosHas('mantenimiento.registrar')" class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar cliente</button>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-if="!isLoading">
                <div class="col-md-12">
                  <h5 class="text-right"><strong>CANTIDAD : {{clientes.length}} CLIENTES</strong></h5>
                </div>
                <div class="col-md-12" ng-if="clientes.length > 0">
                  <div class="table-responsive">
                    <table class="table table-hover">
                      <thead>
                        <tr>
                          <th>CLIENTE</th>
                          <th class="text-center" ng-if="permisosHas('correos.gestionar')">EMAIL</th>
                          <th class="text-center">TELÉFONO</th>
                          <th class="text-center" ng-if="permisosHas('cajas.asignar')">ASIGNAR CAJAS</th>
                          <th class="text-center" ng-if="permisosHas('operador.asignar')">ASIGNAR OPERADORES</th>
                          <th class="text-center" ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')">OPCIONES</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr dir-paginate="cliente in clientes |filter: buscar | itemsPerPage: 10" pagination-id="cliente.id">
                          <td>{{cliente.razon_social}}</td>
                          <td ng-if="permisosHas('correos.gestionar')">
                            <button class="btn btn-blue btn-sm btn-border btn-rounded-10" data-options="splash-2 splash-ef-14" ng-click="load(cliente);openModalGestion($event, 3)">@ gestión correos</button>
                          </td>
                          <td>{{cliente.telefono}}</td>
                          <td ng-if="permisosHas('cajas.asignar')">
                            <button class="btn btn-blue btn-sm btn-border btn-rounded-10" data-options="splash-2 splash-ef-14" ng-click="load(cliente);openModalGestion($event, 1)"><i class="fa fa-sign-in"></i> asignar cajas</button>
                          </td>
                          <td ng-if="permisosHas('operador.asignar')">
                            <button class="btn btn-blue btn-sm btn-border btn-rounded-10" data-options="splash-2 splash-ef-14" ng-click="load(cliente);openModalGestion($event, 2)"><i class="fa fa-sign-in"></i> asignar operadores</button>
                          </td>
                          <td ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')" class="text-center">
                            <div class="input-group-btn">
                              <button ng-if="permisosHas('mantenimiento.actualizar')" class="btn btn-info btn-border btn-radius-left" ng-class="{'btn-radius-right' : !permisosHas('mantenimiento.eliminar')}" title="EDITAR CLIENTE {{cliente.razon_social}}" data-options="splash-2 splash-ef-14" ng-click="load(cliente);openModalSave($event)"><span class="fa fa-edit"></span></button>
                              <button ng-if="permisosHas('mantenimiento.eliminar')" class="btn btn-danger btn-border btn-radius-right" ng-class="{'btn-radius-left' : !permisosHas('mantenimiento.actualizar')}" title="ELIMINAR CLIENTE {{cliente.razon_social}}" data-options="splash-2 splash-ef-14" ng-click="load(cliente);openModalDelete($event)"><span class="fa fa-trash"></span></button>
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="text-center">
                    <dir-pagination-controls pagination-id="cliente.id"></dir-pagination-controls>
                  </div>
                </div>
                <div class="col-md-12" ng-if="clientes.length == 0">
                  <p class="text-center">
                    <i class="icon-info fa-4x"></i>
                    <h5 class="text-center">no hay clientes registrados...</h5>
                  </p>
                </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="cliente_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Cliente"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="razon_social">Razón Social<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="razon_social" ng-model="obj.razon_social" placeholder="Razón Social" required> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="email">Email<span class="obligatorio">*</span></label>
              <input type="text" class="form-control" name="email" ng-model="obj.email" placeholder="EMAIL" required>
            </div>
          </div>
        </div>
        
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="telefono">Teléfono<span class="obligatorio">*</span></label>
              <input type="text" class="form-control" name="telefono" ng-model="obj.telefono" placeholder="999-999-999" required>
            </div>
          </div>
        </div>

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="cliente_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>

  <script  type="text/ng-template" id="cliente_gestion_modal.html">
    <ng-include src="templateUrl"></ng-include>
  </script>
</div>